/*
<DEPENDENCIES>
    <DEPENDS>Browser</DEPENDS>
    <DEPENDS>Logger</DEPENDS>
</DEPENDENCIES>
*/
function FlashPlayer(domId, playerUrl, ressourceUrl, autostart, width, height, introtext, resourceWidth, resourceHeight, wmode)
{
    if (domId) 
    {
        this.init(domId, playerUrl, ressourceUrl, autostart, width, height, introtext, resourceWidth, resourceHeight, wmode);
    }
} 
FlashPlayer.prototype.getInitMuteAction = function()
{
	return new ObjectMethodAction(this, 'initPlayer', true);
}
FlashPlayer.prototype.getInitPlayAction = function()
{
	return new ObjectMethodAction(this, 'initPlayer', false);
}
FlashPlayer.prototype.init = function(domId, playerUrl, ressourceUrl, autostart, width, height, introtext, resourceWidth, resourceHeight, wmode)
{
  ;
  this.domId = domId;
  this.playerUrl = playerUrl;
  this.ressourceUrl = ressourceUrl;
  this.autostart = autostart;
  this.width = width;
  this.height = height;
  this.introtext = introtext;
  this.resourceWidth = resourceWidth;
  this.resourceHeight = resourceHeight;
  this.wmode = wmode;
} 
FlashPlayer.prototype.initPlayer = function(mute)
{
	var muteparam = "&mute=0";
    if (mute)
    	muteparam = "&mute=1";
    var flashUrl = this.playerUrl + "?vsource=" + this.ressourceUrl
    	+ muteparam
    	+ "&stageHeight=" + this.height
    	+ "&stageWidth=" + this.width
    	+ "&resourceWidth=" + this.resourceWidth
    	+ "&resourceHeight=" + this.resourceHeight
    	+ "&introtext=" + this.introtext
    	+ "&autostart=" + this.autostart + "\'";
    this.renderPlayer(flashUrl);
}
FlashPlayer.prototype.renderPlayer = function(flashUrl)
{
	
	if (document.all)
	{
		var objectString = "<object type=\'application/x-shockwave-flash\' width=\'"+ this.width+"\' height=\'"+ this.height+"\' id=\'flashplayer\' >";
  		var objectClose = "</object>";
  		var paramMovie = "<param name=\'movie\' value=\'"+flashUrl+"\' />";
 		var paramQuality = "<param name=\'quality\' value=\'high\' />";
  		var paramScale = "<param name=\'scale\' value=\'exactfit\' />";
  		var paramMenu = "<param name=\'menu\' value=\'false\' />";
  		var paramWmode = (this.wmode != null) ? "<param name=\'wmode\' value=\'" + this.wmode + "\' />" : "";
		document.getElementById(this.domId).innerHTML = objectString + paramMovie + paramQuality + paramScale + paramMenu + paramWmode + objectClose;
	}
	else
	{
  	var attribWmode = (this.wmode != null) ? "wmode=\'" + this.wmode + "\'" : "";
    var embedString = "<embed src=\'" + flashUrl + "\' quality=\'high\' width=\'"+this.width+"\' height=\'"+ this.height+"\' type=\'application/x-shockwave-flash\' scale=\'exactfit\' menu=\'false\' " + attribWmode + "></embed>";
		document.getElementById(this.domId).innerHTML = embedString;
	}
}
