/*
<DEPENDENCIES>
    <DEPENDS>Browser</DEPENDS>
    <DEPENDS>Logger</DEPENDS>
</DEPENDENCIES>
*/
function TopLevelWidget(sId, sWidgetDomId, absolute)
{
    this.init(sId, sWidgetDomId, absolute);
}
TopLevelWidget.prototype.init = function(sId, sWidgetDomId, absolute)
{
  this.sId = sId;
  this.absolute = absolute;
  this.sWidgetDomId = sWidgetDomId;
  this.oOrigParent = null;
  this.oCoverParent = null;
  this.width = document.body.scrollWidth;
  this.height = document.body.scrollHeight;
  this.oWidget = document.getElementById(sWidgetDomId);
  if (this.oWidget == null)
  {
      ;
  }
  this.oOrigParent = this.oWidget.parentNode;
  this.sOrigPosition = this.oWidget.style.position;
  this.sOrigLeft = this.oWidget.offsetLeft;
  this.sOrigTop = this.oWidget.offsetTop;
  this.sOrigVisibility = this.oWidget.style.visibility;
  this.sOrigZIndex = this.oWidget.style.zIndex;
  this.positionScreenAbsolute();
}
TopLevelWidget.prototype.cover  = function(bCover)
{
  if ( bCover )
  {
    this.oWidget.style.visibility = 'visible';
  }
  else
  {
    this.oWidget.style.visibility = 'hidden';
    this.oWidget.style.position = this.sOrigPosition;
    Browser.changePixelStyle(this.oWidget, 'top', this.sOrigTop);
    Browser.changePixelStyle(this.oWidget, 'left', this.sOrigLeft);
    this.oWidget.style.zIndex = this.sOrigZIndex;
    this.oWidget.style.visibility = this.sOrigVisibility;
  }
}
TopLevelWidget.prototype.positionScreenAbsolute = function()
{
    if (!this.absolute)
    {
        var pAbsPos = new Point(0,0);
        Browser.getAbsPos(this.oWidget, pAbsPos);
        Browser.changePixelStyle(this.oWidget, 'top', pAbsPos.y);
        Browser.changePixelStyle(this.oWidget, 'left', pAbsPos.x);
    }
    this.oWidget.style.visibility = 'hidden';
    this.oWidget.style.position = 'absolute';
    Browser.removeNodeFromParent(this.oWidget);
    this.oCoverParent = document.createElement("div");
    this.oCoverParent.id = 'sCoverParentWidgetDomId_' + this.sId;
    document.body.appendChild(this.oCoverParent);
    this.oCoverParent.appendChild(this.oWidget);
    Browser.setToplevel(this.oWidget);
}
TopLevelWidget.prototype.getCoverAction  = function(bCover)
{
  return new ObjectMethodAction(this, "cover", (bCover == undefined) ? true : bCover);
}
TopLevelWidget.prototype.getUncoverAction  = function()
{
  return new ObjectMethodAction(this, "cover", false);
}
TopLevelWidget.prototype.start  = function()
{
}
