/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Broker</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
</DEPENDENCIES>
*/
UserInteractionBroker.prototype             = new Broker();
UserInteractionBroker.prototype.constructor = UserInteractionBroker;
UserInteractionBroker.superclass            = Broker.prototype;
function UserInteractionBroker()
{
    ;
    this.userInteractionController = null;
     UserInteractionBroker.superclass.init.call(this, "UserInteractionBroker");
}
UserInteractionBroker.prototype.setUserInteractionController = function(userInteractionController)
{
    this.userInteractionController = userInteractionController;
}
UserInteractionBroker.prototype.doAllowInteraction = function()
{
    this.getMessage("allowInteraction");
}
UserInteractionBroker.prototype.addAllowInteractionHandle = function(action)
{
    this.registerAction("allowInteraction", action);
}
UserInteractionBroker.prototype.getAllowInteractionAction = function(action)
{
    return new ObjectMethodAction(this, "allowInteraction");
}
UserInteractionBroker.prototype.allowInteraction = function()
{
    if (this.userInteractionController)
        this.userInteractionController.shouldAllowInteraction();
    else
        this.doAllowInteraction();
}
UserInteractionBroker.prototype.doForbidInteraction = function()
{
    this.getMessage("forbidInteraction");
}
UserInteractionBroker.prototype.addForbidInteractionHandle = function(action)
{
    this.registerAction("forbidInteraction", action);
}
UserInteractionBroker.prototype.getForbidInteractionAction = function(action)
{
    return new ObjectMethodAction(this, "forbidInteraction");
}
UserInteractionBroker.prototype.forbidInteraction = function()
{
    if (this.userInteractionController)
        this.userInteractionController.shouldForbidInteraction();
    else
        this.doForbidInteraction();
}
