/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Browser</DEPENDS>
    <DEPENDS>DataLoader</DEPENDS>
    <DEPENDS>Mode</DEPENDS>
</DEPENDENCIES>
*/
StatisticMode.prototype = new Mode();
StatisticMode.prototype.constructor = StatisticMode;
StatisticMode.superclass = Mode.prototype;
function StatisticMode(sId, modeId)
{
	var me = this;
	this.iframeLoadListener = function(e)
	{
		
        me.dataChanged();
        return false;
	}
	this.init(sId, modeId);
}
StatisticMode.prototype.init = function(sId, modeId)
{
	StatisticMode.superclass.init.call(this, sId, modeId);
	this.statisticBaseURl = "../";
	this.iframeDocument = document.getElementById('statisticMode_iframe');
	Browser.addEventListenerToDomNode(this.iframeDocument, Browser.eventNames.LOAD, this.iframeLoadListener);
}
StatisticMode.prototype.cleanModePane = function()
{
	var modePane = this.getModePane();
}
StatisticMode.prototype.doChangeModeData = function()
{
	this.iframeDocument.src = this.getRequestURL(this.statisticBaseURl) + "&PAGE=statistics";
}
StatisticMode.prototype.setModePaneVisible = function(visible)
{
	StatisticMode.superclass.setModePaneVisible.call(this,visible);
	var style = "visible";
	if (visible == false)
		style = "hidden";
	this.iframeDocument.style["visibility"] = style;
}
