/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Globals</DEPENDS>
    <DEPENDS>BasicQeaTipStrategy</DEPENDS>
</DEPENDENCIES>
*/
CrossWordsMissingCharacterOnSelectedTipStrategy.prototype             = new BasicQeaTipStrategy();
CrossWordsMissingCharacterOnSelectedTipStrategy.prototype.constructor = CrossWordsMissingCharacterOnSelectedTipStrategy;
CrossWordsMissingCharacterOnSelectedTipStrategy.superclass            = BasicQeaTipStrategy.prototype;
function CrossWordsMissingCharacterOnSelectedTipStrategy(sId)
{
  this.init(sId)
}
CrossWordsMissingCharacterOnSelectedTipStrategy.prototype.init = function(sId)
{
  ;
  if ( ! this.sCycleTipsUndoSentinel )
  { 
    this.sCycleTipsUndoSentinel = 'show_missing_qea_system_cycletip_sentinel'
  }
  CrossWordsMissingCharacterOnSelectedTipStrategy.superclass.init.call(this, sId);
}
CrossWordsMissingCharacterOnSelectedTipStrategy.prototype.evaluationHasTip = function(evaluation, bStepByStep)
{
  ;
  var bHasTip = true;
  if (bHasTip)
  {
    bHasTip = evaluation.isSolution() && !evaluation.isActive();
  }
  if (bHasTip)
  {
    bHasTip = !evaluation.hasOffItem();
  }
  if (bHasTip)
  {
    bHasTip = evaluation.hasUserFocus();
  }
  if (bHasTip)
  {
    bHasTip = evaluation.canSetActive(true);
  }
  if (bHasTip)
  {
    if (evaluation.getQuestion().getMax() == 1) 
    {
      if (evaluation.getQuestion().countActiveEvaluations() > 0)
      {
        bHasTip = false;
      }
    }
  }
  if (bHasTip)
  {
    if (evaluation.getAnswer().getMax() == 1) 
    {
      if (evaluation.getAnswer().countActiveEvaluations() > 0)
      {
        bHasTip = false;
      }
    }
  }
  return bHasTip;
}
CrossWordsMissingCharacterOnSelectedTipStrategy.prototype.evaluationShowTip = function(evaluation, bStepByStep)
{
  ;
  evaluation.setActive(true, 'system_set');
  var answer = evaluation.getAnswer();
  var aEvaluations = this.workItem.aEvaluations;
  for(var i in aEvaluations)
  {
    var e = aEvaluations[i];
    if(e.getAnswer() == answer)
    {
      if(CrossWordsMissingCharacterOnSelectedTipStrategy.superclass.evaluationHasTip.call(this, e, bStepByStep))
      {
        CrossWordsMissingCharacterOnSelectedTipStrategy.superclass.evaluationShowTip.call(this, e, bStepByStep);
      }
    }
  }
}
