/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>DomletCtr</DEPENDS>
</DEPENDENCIES>
*/
QeaAdapter.prototype             = new DomletCtr();
QeaAdapter.prototype.constructor = QeaAdapter;
QeaAdapter.superclass            = DomletCtr.prototype;
function QeaAdapter(sId, sWidgetDomId)
{
  if (sId) { this.init(sId, sWidgetDomId); }
}
QeaAdapter.prototype.init = function(sId, sWidgetDomId)
{
  ;
  QeaAdapter.superclass.init.call(this, sWidgetDomId, sId, this);
  this.sId = sId;
  this.sWidgetDomId = sWidgetDomId;
  this.modelItem = null;
  this.broker = null;
}
QeaAdapter.prototype.start = function()
{
  ;
}
QeaAdapter.prototype.getId = function()
{
  return this.sId;
}
QeaAdapter.prototype.setModelItem = function(modelItem)
{
  ;
  this.modelItem = modelItem;
}
QeaAdapter.prototype.getModelItem = function()
{
  return this.modelItem;
}
QeaAdapter.prototype.setBroker = function(broker)
{
  ;
  this.broker = broker;
}
QeaAdapter.prototype.changed = function(model)
{
  ;
  if (model.isEvaluated())
  {
    if (model.isSolved() == true)
    {
      if (this.broker) { this.broker.showCorrect(); }
    }
    else if (model.isSolved() == false)
    {
      if (this.broker) { this.broker.showWrong(); }
    }
    else
    {
    }
  }
  else
  {
    if (model.getEvaluation().hasOffItem())
    {
      switch (model.getEvaluation().getOrigin())
      {
        case 'user':
          if (this.broker) { this.broker.showAssigned(); }
          break;
        case 'system_solution':
          if (this.broker) { this.broker.showSolution(); }
          break;
        case 'system_set':
          if (this.broker) { this.broker.showTipAssigned(); }
          break;
        case 'system_approve':
          if (this.broker) { this.broker.showTipApproveCorrect(); }
          break;
        case 'system_brand':
          if (this.broker) { this.broker.showTipBrandWrong(); }
          break;
      }
    }
    else
    {
      var nCount = model.countActiveEvaluations();
      if (nCount == 0)
      {
        switch (model.getEvaluation().getOrigin())
        {
          case 'system_solution':
            if (this.broker) { this.broker.showSolution(); }
            break;
          default:
            if (this.broker) { this.broker.showUnassigned(); }
        }
      }
      else
      {
        switch (model.getEvaluation().getOrigin())
        {
          case 'user':
             if (this.broker) { this.broker.showAssigned(); }
             break;
          case 'system_solution':
            if (this.broker) { this.broker.showSolution(); }
            break;
          case 'system_set':
            if (this.broker) { this.broker.showTipAssigned(); }
            break;
          case 'system_approve':
            if (this.broker) { this.broker.showTipApproveCorrect(); }
            break;
          case 'system_brand':
            if (this.broker) { this.broker.showTipBrandWrong(); }
            break;
        }
      }
    }
  }
}
