/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
    <DEPENDS>Broker</DEPENDS>
</DEPENDENCIES>
*/
ScrollBroker.prototype = new Broker();
ScrollBroker.prototype.constructor = ScrollBroker;
ScrollBroker.superclass = Broker.prototype;
function ScrollBroker()
{
  ;
  this.scrollController = null;
  ScrollBroker.superclass.init.call(this, "ScrollBroker");
}
ScrollBroker.prototype.setScrollController = function( scrollController )
{
  this.scrollController = scrollController;
}
ScrollBroker.prototype.doBeginScrollDown = function()
{
  this.getMessage("beginScrollDown");
}
ScrollBroker.prototype.addBeginScrollDownHandle = function( action )
{
  this.registerAction("beginScrollDown", action);
}
ScrollBroker.prototype.getBeginScrollDownAction = function()
{
  return new ObjectMethodAction(this, "beginScrollDown");
}
ScrollBroker.prototype.beginScrollDown = function()
{
  if( this.scrollController )
    this.scrollController.shouldBeginScrollDown();
  else
    this.doBeginScrollDown();
}
ScrollBroker.prototype.doEndScrollDown = function()
{
  this.getMessage("endScrollDown");
}
ScrollBroker.prototype.addEndScrollDownHandle = function( action )
{
  this.registerAction("endScrollDown", action);
}
ScrollBroker.prototype.getEndScrollDownAction = function()
{
  return new ObjectMethodAction(this, "endScrollDown");
}
ScrollBroker.prototype.endScrollDown = function()
{
  if( this.scrollController )
    this.scrollController.shouldEndScrollDown();
  else
    this.doEndScrollDown();
}
ScrollBroker.prototype.doBeginScrollUp = function()
{
  this.getMessage("beginScrollUp");
}
ScrollBroker.prototype.addBeginScrollUpHandle = function( action )
{
  this.registerAction("beginScrollUp", action);
}
ScrollBroker.prototype.getBeginScrollUpAction = function()
{
  return new ObjectMethodAction(this, "beginScrollUp");
}
ScrollBroker.prototype.beginScrollUp = function()
{
  if( this.scrollController )
    this.scrollController.shouldBeginScrollUp();
  else
    this.doBeginScrollUp();
}
ScrollBroker.prototype.doEndScrollUp = function()
{
  this.getMessage("endScrollUp");
}
ScrollBroker.prototype.addEndScrollUpHandle = function( action )
{
  this.registerAction("endScrollUp", action);
}
ScrollBroker.prototype.getEndScrollUpAction = function()
{
  return new ObjectMethodAction(this, "endScrollUp");
}
ScrollBroker.prototype.endScrollUp = function()
{
  if( this.scrollController )
    this.scrollController.shouldEndScrollUp();
  else
    this.doEndScrollUp();
}
ScrollBroker.prototype.doScrollToDomId = function( domId )
{
  if( domId == undefined )
    ;
  else
  {
    this.getMessage("scrollToDomId", [domId]);
  }
}
ScrollBroker.prototype.addScrollToDomIdHandle = function( action )
{
  this.registerAction("scrollToDomId", action);
}
ScrollBroker.prototype.getScrollToDomIdAction = function( domId )
{
  return new ObjectMethodAction(this, "scrollToDomId", domId);
}
ScrollBroker.prototype.scrollToDomId = function( domId )
{
  if( this.scrollController )
    this.scrollController.shouldScrollToDomId(domId);
  else
    this.doScrollToDomId(domId);
}
ScrollBroker.prototype.doScrollToDomletCtr = function( domId )
{
  if( domId == undefined )
    ;
  else
  {
    this.getMessage("scrollToDomletCtr", [domId]);
  }
}
ScrollBroker.prototype.addScrollToDomletCtrHandle = function( action )
{
  this.registerAction("scrollToDomletCtr", action);
}
ScrollBroker.prototype.getScrollToDomletCtrAction = function( domId )
{
  return new ObjectMethodAction(this, "scrollToDomletCtr", domId);
}
ScrollBroker.prototype.scrollToDomletCtr = function( domId )
{
  if( this.scrollController )
    this.scrollController.shouldScrollToDomletCtr(domId);
  else
    this.doScrollToDomletCtr(domId);
}
ScrollBroker.prototype.doJumpToTop = function()
{
  this.getMessage("jumpToTop");
}
ScrollBroker.prototype.addJumpToTopHandle = function( action )
{
  this.registerAction("jumpToTop", action);
}
ScrollBroker.prototype.getJumpToTopAction = function()
{
  return new ObjectMethodAction(this, "jumpToTop");
}
ScrollBroker.prototype.jumpToTop = function()
{
  if( this.scrollController )
    this.scrollController.shouldJumpToTop();
  else
    this.doJumpToTop();
}
ScrollBroker.prototype.doJumpToBottom = function()
{
  this.getMessage("jumpToBottom");
}
ScrollBroker.prototype.addJumpToBottomHandle = function( action )
{
  this.registerAction("jumpToBottom", action);
}
ScrollBroker.prototype.getJumpToBottomAction = function()
{
  return new ObjectMethodAction(this, "jumpToBottom");
}
ScrollBroker.prototype.jumpToBottom = function()
{
  if( this.scrollController )
    this.scrollController.shouldJumpToBottom();
  else
    this.doJumpToBottom();
}
ScrollBroker.prototype.doAreaOverflow = function()
{
  this.getMessage("areaOverflow");
}
ScrollBroker.prototype.addAreaOverflowHandle = function( action )
{
  this.registerAction("areaOverflow", action);
}
ScrollBroker.prototype.getAreaOverflowAction = function()
{
  return new ObjectMethodAction(this, "areaOverflow");
}
ScrollBroker.prototype.areaOverflow = function()
{
  if( this.scrollController )
    this.scrollController.shouldAreaOverflow();
  else
    this.doAreaOverflow();
}
ScrollBroker.prototype.doSizeChanged = function( size )
{
  if( size == undefined )
    ;
  else
    this.getMessage("sizeChanged", [size]);
}
ScrollBroker.prototype.addSizeChangedHandle = function( action )
{
  this.registerAction("sizeChanged", action);
}
ScrollBroker.prototype.getSizeChangedAction = function( size )
{
  return new ObjectMethodAction(this, "sizeChanged", size);
}
ScrollBroker.prototype.sizeChanged = function( size )
{
  if( this.scrollController )
    this.scrollController.shouldDoSizeChanged(size);
  else
    this.doSizeChanged(size);
}
ScrollBroker.prototype.doPositionChanged = function( position )
{
  if( position == undefined )
    ;
  else
    this.getMessage("positionChanged", [position]);
}
ScrollBroker.prototype.addPositionChangedHandle = function( action )
{
  this.registerAction("positionChanged", action);
}
ScrollBroker.prototype.getPositionChangedAction = function( position )
{
  return new ObjectMethodAction(this, "positionChanged", position);
}
ScrollBroker.prototype.positionChanged = function( position )
{
  if( this.scrollController )
    this.scrollController.shouldDoPositionChanged(position);
  else
    this.doPositionChanged(position);
}
ScrollBroker.prototype.doScrollToRelativePosition = function( position )
{
  if( position == undefined )
    ;
  else
    this.getMessage("scrollToRelativePosition", [position]);
}
ScrollBroker.prototype.addScrollToRelativePositionHandle = function( action )
{
  this.registerAction("scrollToRelativePosition", action);
}
ScrollBroker.prototype.getScrollToRelativePositionAction = function( position )
{
  return new ObjectMethodAction(this, "scrollToRelativePosition", position);
}
ScrollBroker.prototype.scrollToRelativePosition = function( position )
{
  if( this.scrollController )
    this.scrollController.shouldScrollToRelativePosition(position);
  else
    this.doScrollToRelativePosition(position);
}
