/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
</DEPENDENCIES>
*/
function TextSelectionWidget(sId)
{
	if (sId)
	{
		this.init(sId);
	}
}
TextSelectionWidget.prototype.init = function(sId)
{
	this.sId = sId;
}
TextSelectionWidget.prototype.getId = function()
{
	return this.sId;
}
TextSelectionWidget.prototype.setBroker = function(broker)
{
	this.broker = broker;
	this.changeing = false;
	broker.addChangeValueHandle(new ObjectMethodAction(this, "changeValue"));
	broker.setManager(this);
}
TextSelectionWidget.prototype.setSelectionModel = function(model)
{
	this.model = model;
}
TextSelectionWidget.prototype.selectionModelChanged = function(model)
{
	if (this.changeing == false)
		this.broker.doValueChanged(model.getSelectionValueByIndex(0).getValue());
}
TextSelectionWidget.prototype.start = function()
{
	this.selectionModelChanged(this.model, this.model.getActiveValues());
}
TextSelectionWidget.prototype.changeValue = function(date)
{
	this.changeing = true;
	this.model.getSelectionValueByIndex(0).changeValue(date);
	this.changeing = false; 
}
