/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Globals</DEPENDS>
    <DEPENDS>Broker</DEPENDS>
</DEPENDENCIES>
*/
ConfirmDialogVisibilityBroker.prototype             = new Broker();
ConfirmDialogVisibilityBroker.prototype.constructor = ConfirmDialogVisibilityBroker;
ConfirmDialogVisibilityBroker.superclass            = Broker.prototype;
function ConfirmDialogVisibilityBroker(sId)
{
  if (!sId) sId = "ConfirmDialogVisibilityBroker";
  this.init(sId);
}
ConfirmDialogVisibilityBroker.prototype.init = function(sId)
{
  ;
  this.sId = sId;
  ConfirmDialogVisibilityBroker.superclass.init.call(this, sId);
}
ConfirmDialogVisibilityBroker.prototype.doShow = function(confirmDialogBroker)
{
  this.getMessage('show', [confirmDialogBroker]);
}
ConfirmDialogVisibilityBroker.prototype.addShowHandle = function(dialogAction)
{
  this.registerAction('show', dialogAction);
}
ConfirmDialogVisibilityBroker.prototype.getShowAction = function(confirmDialogBroker)
{
  return new ObjectMethodAction(this, 'show', confirmDialogBroker);
}
ConfirmDialogVisibilityBroker.prototype.show = function(confirmDialogBroker)
{
  ;
  this.doShow(confirmDialogBroker);
}
ConfirmDialogVisibilityBroker.prototype.doHide = function()
{
  this.getMessage('hide');
}
ConfirmDialogVisibilityBroker.prototype.addHideHandle = function(action)
{
  this.registerAction('hide', action);
}
ConfirmDialogVisibilityBroker.prototype.getHideAction = function()
{
  return new ObjectMethodAction(this, 'hide');
}
ConfirmDialogVisibilityBroker.prototype.hide = function()
{
  ;
  this.doHide();
}
ConfirmDialogVisibilityBroker.prototype.doShowDialogAgain = function()
{
  this.getMessage('showDialogAgain');
}
ConfirmDialogVisibilityBroker.prototype.addShowDialogAgainHandle = function(action)
{
  this.registerAction('showDialogAgain', action);
}
ConfirmDialogVisibilityBroker.prototype.getShowDialogAgainAction = function()
{
  return new ObjectMethodAction(this, 'showDialogAgain');
}
ConfirmDialogVisibilityBroker.prototype.showDialogAgain = function()
{
  ;
  this.doShowDialogAgain();
}
ConfirmDialogVisibilityBroker.prototype.doDoNotShowDialogAgain = function()
{
  this.getMessage('doNotShowDialogAgain');
}
ConfirmDialogVisibilityBroker.prototype.addDoNotShowDialogAgainHandle = function(action)
{
  this.registerAction('doNotShowDialogAgain', action);
}
ConfirmDialogVisibilityBroker.prototype.getDoNotShowDialogAgainAction = function()
{
  return new ObjectMethodAction(this, 'doNotShowDialogAgain');
}
ConfirmDialogVisibilityBroker.prototype.doNotShowDialogAgain = function()
{
  ;
  this.doDoNotShowDialogAgain();
}
