/*
<DEPENDENCIES>
    <DEPENDS>Browser</DEPENDS>
    <DEPENDS>Logger</DEPENDS>
</DEPENDENCIES>
*/
function KeyboardManager(sId)
{
  if (sId) { this.init(sId); }
}
KeyboardManager.prototype.init = function(sId)
{
  ;   
  this.sId = sId;
  this.aKeyWidgets = new Array();
  this.aValidChars = new Array();
  this.oKeyboardBroker = null;
}
KeyboardManager.prototype.start = function()
{
  ;   
  if ( this.oKeyboardBroker )
  {
    for ( i = 0; i < this.aKeyWidgets.length; i++)
    {
      this.aKeyWidgets[i].setPressedAction(this.oKeyboardBroker.getSendCharAction(this.aKeyWidgets[i].getChar()));
    }
    if (this.oKeyboardBroker.activate)
    {
      this.oKeyboardBroker.activateKeyboard();
    }
    else
    {
      this.oKeyboardBroker.deactivateKeyboard();
    }
  }    
}
KeyboardManager.prototype.getId = function()
{
  ;
  return this.sId;
}
KeyboardManager.prototype.getValidKeys = function()
{
  ;
  return this.aValidChars;
}
KeyboardManager.prototype.registerKeyWidget = function(oKeyWidget)
{
  ;
  this.aKeyWidgets.push(oKeyWidget);
  this.aValidChars.push(oKeyWidget.getChar());
  oKeyWidget.setKeyboardManager(this);
}
KeyboardManager.prototype.setKeyboardBroker = function(oKeyboardBroker)
{
  ;
  this.oKeyboardBroker = oKeyboardBroker;
}
KeyboardManager.prototype.getKeyWidgetByText = function(sText)
{
  ;
  var oKeyWidget = null;
  for ( i = 0; i < this.aKeyWidgets.length; i++)
  {
    if( this.aKeyWidgets[i].getChar() == sText )
    {
      oKeyWidget = this.aKeyWidgets[i];
      break;
    }
  }
  return oKeyWidget;
}
KeyboardManager.prototype.enableKeyWidgetByText = function(sText, bEnable)
{
  ;
  var oKeyWidget = this.getKeyWidgetByText(sText);
  if ( oKeyWidget )
  {
    oKeyWidget.setEnabled(bEnable);
  }
}
