/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Broker</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
</DEPENDENCIES>
*/
ModeBroker.prototype = new Broker();
ModeBroker.prototype.constructor = ModeBroker;
ModeBroker.superclass = Broker.prototype;
function ModeBroker(sId)
{
	this.init(sId);
}
ModeBroker.prototype.init = function(sId)
{
	this.sId = sId;
	ModeBroker.superclass.init.call(this, sId);
}
ModeBroker.prototype.getId = function()
{
	return this.sId;
}
ModeBroker.prototype.getSetActiveAction = function()
{
	return new ObjectMethodAction(this, "setActive");
}
ModeBroker.prototype.setActive = function()
{
	this.getMessage("setactive");
}
ModeBroker.prototype.addSetActiveHandle = function(action)
{
	this.registerAction("setactive", action);
}
ModeBroker.prototype.getSetInActiveAction = function()
{
	return new ObjectMethodAction(this, "setInActive");
}
ModeBroker.prototype.setInActive = function()
{
	this.getMessage("setinactive");
}
ModeBroker.prototype.addSetInActiveHandle = function(action)
{
	this.registerAction("setinactive", action);
}
ModeBroker.prototype.getChangeModeDataAction = function()
{
	return new ObjectMethodAction(this, "changeModeData");
}
ModeBroker.prototype.changeModeData = function()
{
	this.getMessage("changemodedata");
}
ModeBroker.prototype.addChangeModeDataHandle = function(action)
{
	this.registerAction("changemodedata", action);
}
ModeBroker.prototype.addActivatedHandle = function(action)
{
	this.registerAction("activated", action);
}
ModeBroker.prototype.doActivated = function()
{
	this.getMessage("activated");
}
ModeBroker.prototype.addInActivatedHandle = function(action)
{
	this.registerAction("inactivated", action);
}
ModeBroker.prototype.doInActivated = function()
{
	this.getMessage("inactivated");
}
