/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Browser</DEPENDS>
    <DEPENDS>Globals</DEPENDS>
</DEPENDENCIES>
*/
function WrongIndicatorManager(sId, sWrongIndicatorContainerDomId, sHangmanEvaluatePicDomId, sWrongIndicatorPicDomId, nNumberOfTrys)
{
  if (sId) { this.init(sId, sWrongIndicatorContainerDomId, sHangmanEvaluatePicDomId, sWrongIndicatorPicDomId, nNumberOfTrys); }
}
WrongIndicatorManager.prototype.init = function(sId, sWrongIndicatorContainerDomId, sHangmanEvaluatePicDomId, sWrongIndicatorPicDomId, nNumberOfTrys)
{
  ;   
  this.sId = sId;
  this.aWrongIndicators = new Array();
  this.sWrongIndicatorPicURL = null;
  this.nPadding = null;
  this.nSpacing = null;
  this.oManager = null;
  this.nBrickWidth = 0;
  this.nBrickHeight = 0;
  this.aWrongChars = new Array();
  this.aPosArray = [ [1], [2], [1,2],[2,2],[2,3],[3,3],[2,3,2],[3,2,3],[3,3,3],[3,4,3],[4,3,4],[4,4,4],[4,5,4],[5,4,5],[5,5,5],[4,4,4,4],[4,4,4,5],[4,5,5,4],[4,5,5,5],[5,5,5,5],[7,7,7],[7,8,7],[8,7,8],[8,8,8]];
  this.xOffsetHangmanEvaluatePic = null;
  this.nNumberOfTrys = nNumberOfTrys;
  this.nInitialNumberOfTrys = nNumberOfTrys;
  if ( nNumberOfTrys > this.aPosArray.length   )
  {
    ;
  }
  this.sWrongIndicatorPicDomId = sWrongIndicatorPicDomId;
  this.oWrongIndicatorPic = document.getElementById(sWrongIndicatorPicDomId);
  if ( ! this.oWrongIndicatorPic )
  {
    ;
  }
  this.sWrongIndicatorContainerDomId = sWrongIndicatorContainerDomId;
  this.oWrongIndicatorContainer = document.getElementById(sWrongIndicatorContainerDomId);
  if ( ! this.oWrongIndicatorContainer )
  {
    ;
  }
  this.sHangmanEvaluatePicDomId = sHangmanEvaluatePicDomId;
  this.oHangmanEvaluatePic = document.getElementById(sHangmanEvaluatePicDomId);
  if ( ! this.oHangmanEvaluatePic )
  {
    ;
  }
}
WrongIndicatorManager.prototype.start = function()
{
  ; 
  var pHangmanEvaluatePicPos = new Point(0,0);
  var pWrongIndicatorContainerPos = new Point(0,0);
  Browser.getAbsPos(this.oHangmanEvaluatePic, pHangmanEvaluatePicPos);
  Browser.getAbsPos(this.oWrongIndicatorContainer, pWrongIndicatorContainerPos);
  this.xOffsetHangmanEvaluatePic = pHangmanEvaluatePicPos.x - pWrongIndicatorContainerPos.x; 
  this.xOffsetHangmanEvaluatePic += Math.round(parseInt(Browser.getComputedStyleById(this.oHangmanEvaluatePic.id,'width')) /2);
  for ( i = 0 ; i < this.nNumberOfTrys; i ++)
  {
    var oImgNode = this.oWrongIndicatorPic.cloneNode(true);
    oImgNode.id = this.getId() + i;
    oImgNode.style.position= 'absolute';
    oImgNode.style.visibility= 'hidden';
    this.oWrongIndicatorContainer.appendChild(oImgNode);
    this.aWrongIndicators.push(oImgNode);
  }
  this.setPosOfWrongIndicators();
}
WrongIndicatorManager.prototype.getId = function()
{
  //;
  return this.sId;
}
WrongIndicatorManager.prototype.setPadding = function(nPadding)
{
  //;
  this.nPadding = nPadding;
}
WrongIndicatorManager.prototype.setSpacing = function(nSpacing)
{
  //;
  this.nSpacing = nSpacing;
}
WrongIndicatorManager.prototype.wrongChangeInHangmanQuestionWidget = function(sChar)
{
  ;
  var bFound = false;
  for ( var i = 0; i < this.aWrongChars.length; i++)
  {
    if ( this.aWrongChars[i] == sChar)
    {
      bFound = true;
      break;
    }
  }
  if ( ! bFound )
  {
    this.aWrongChars.push(sChar);
    if (this.aWrongIndicators.length == 1)
    {
      this.oManager.workDone();
    }
    var oWrongIndicatorNode = this.aWrongIndicators.pop();
    Browser.removeNodeFromParent(oWrongIndicatorNode);
    this.setPosOfWrongIndicators();
  }
}
WrongIndicatorManager.prototype.reset = function()
{
  ;
  this.oManager.reset();
  while (this.aWrongIndicators.length )
  {
    var oWrongIndicatorNode = this.aWrongIndicators.pop();
    Browser.removeNodeFromParent(oWrongIndicatorNode);
  }
  this.nNumberOfTrys = this.nInitialNumberOfTrys;
  this.aWrongChars = new Array();
  this.start();
}
WrongIndicatorManager.prototype.getResetAction = function()
{
  return new ObjectMethodAction(this, "reset");
}
WrongIndicatorManager.prototype.setManager = function(oManager)
{
  ;
  this.oManager = oManager;
}
WrongIndicatorManager.prototype.setPosOfWrongIndicators = function()
{
  ;
  if( this.aWrongIndicators.length)
  {
    var nHeight = this.oWrongIndicatorPic.height;
    var nWidth = this.oWrongIndicatorPic.width;
    var nElement = 0;
    var aActualStrategy = this.aPosArray[this.aWrongIndicators.length - 1];
    for ( var i = 0; i < aActualStrategy.length ; i++)
    {
      var oLastElement = null;
      for ( var j = 0; j < aActualStrategy[i]; j++)
      { 
        Browser.changePixelStyle(this.aWrongIndicators[nElement], 'top', i * (nHeight + this.nSpacing));
        if (oLastElement)
        {
          Browser.changePixelStyle(this.aWrongIndicators[nElement], 'left', parseInt(oLastElement.style.left) + nWidth + this.nPadding);
        }
        else
        {
          Browser.changePixelStyle(this.aWrongIndicators[nElement], 'left', Math.round(this.xOffsetHangmanEvaluatePic - (aActualStrategy[i] /2) * (nWidth + this.nPadding)));
        }
        oLastElement = this.aWrongIndicators[nElement];
        oLastElement.style.visibility = '';
        nElement++;
      }
    }
  }
}
