/*
<DEPENDENCIES>
    <DEPENDS>Actions</DEPENDS>
</DEPENDENCIES>
*/
function HotspotManager(sId)
{
  if (sId) { this.init(sId); }
}
HotspotManager.prototype.init = function(sId)
{
    ;
    this.activeAnswer = null;
}
HotspotManager.prototype.getClickedQuestionAction = function(question)
{
    return new ObjectMethodAction(this, 'clickedQuestion', question);
}
HotspotManager.prototype.getClickedAnswerAction = function(answer)
{
    return new ObjectMethodAction(this, 'clickedAnswer', answer);
}
HotspotManager.prototype.clickedQuestion = function(caller)
{
    ;
    if (this.activeAnswer != null)
    {
        caller.workItem.assign(caller, this.activeAnswer);
    }
}
HotspotManager.prototype.clickedAnswer = function(caller)
{
    ;
    this.activeAnswer = caller;
}
HotspotManager.prototype.reset = function()
{
  this.activeAnswer = null;
}
HotspotManager.prototype.getResetAction = function()
{
  return new ObjectMethodAction(this, 'reset');
}
