/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
    <DEPENDS>QeaAdapter</DEPENDS>
</DEPENDENCIES>
*/
NetMatcherEvaluationAdapter.prototype             = new QeaAdapter();
NetMatcherEvaluationAdapter.prototype.constructor = NetMatcherEvaluationAdapter;
NetMatcherEvaluationAdapter.superclass            = QeaAdapter.prototype;
function NetMatcherEvaluationAdapter(sId, sWidgetDomId)
{
  if (sId) { this.init(sId, sWidgetDomId); }
}
NetMatcherEvaluationAdapter.prototype.init = function(sId, sWidgetDomId)
{
  ;
  NetMatcherEvaluationAdapter.superclass.init.call(this, sId, sWidgetDomId);
}
NetMatcherEvaluationAdapter.prototype.getActivateAction = function()
{
  //;
  return new ObjectMethodAction(this, 'setModelActive', true);
}
NetMatcherEvaluationAdapter.prototype.getDeactivateAction = function()
{
  //;
  return new ObjectMethodAction(this, 'setModelActive', false);
}
NetMatcherEvaluationAdapter.prototype.setModelActive = function(bActive)
{
  ;
  this.modelItem.setActive(bActive, 'user');
}
QeaAdapter.prototype.changed = function(model)
{
  ;
  if (model.isEvaluated())
  {
    if (model.isSolved() == true)
    {
      if (this.broker) { this.broker.showCorrect(); }
    }
    else if (model.isSolved() == false)
    {
      if (this.broker) { this.broker.showWrong(); }
    }
    else
    {
    }
  }
  else
  {
    if (model.getEvaluation().hasOffItem())
    {
      switch (model.getEvaluation().getOrigin())
      {
        case 'user':
          if (this.broker) { this.broker.showAssigned(); }
          break;
        case 'system_solution':
          if (this.broker) { this.broker.showSolution(); }
          break;
        case 'system_set':
          if (this.broker) { this.broker.showTipAssigned(); }
          break;
        case 'system_approve':
          if (this.broker) { this.broker.showTipApproveCorrect(); }
          break;
        case 'system_brand':
          if (this.broker) { this.broker.showTipBrandWrong(); }
          break;
      }
    }
    else
    {
      var nCount = model.countActiveEvaluations();
      if (nCount == 0)
      {
        if (this.broker) { this.broker.showUnassigned(); }
      }
      else
      {
        switch (model.getEvaluation().getOrigin())
        {
          case 'user':
             if (this.broker) { this.broker.showAssigned(); }
             break;
          case 'system_solution':
            if (this.broker) { this.broker.showSolution(); }
            break;
          case 'system_set':
            if (this.broker) { this.broker.showTipAssigned(); }
            break;
          case 'system_approve':
            if (this.broker) { this.broker.showTipApproveCorrect(); }
            break;
          case 'system_brand':
            if (this.broker) { this.broker.showTipBrandWrong(); }
            break;
        }
      }
    }
  }
}
