/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Broker</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
</DEPENDENCIES>
*/
ExerciseBroker.prototype             = new Broker();
ExerciseBroker.prototype.constructor = ExerciseBroker;
ExerciseBroker.superclass            = Broker.prototype;
function ExerciseBroker()
{
    ;
    this.exerciseController = null;
     ExerciseBroker.superclass.init.call(this, "ExerciseBroker");
}
ExerciseBroker.prototype.setExerciseController = function(exerciseController)
{
    this.exerciseController = exerciseController;
}
ExerciseBroker.prototype.doWorkAborted = function()
{
    ;
    this.getMessage("workAborted");
}
ExerciseBroker.prototype.addWorkAbortedHandle = function(action)
{
    this.registerAction("workAborted", action);
}
ExerciseBroker.prototype.getWorkAbortedAction = function()
{
    return new ObjectMethodAction(this, "workAborted");
}
ExerciseBroker.prototype.workAborted = function()
{
    if (this.exerciseController)
        this.exerciseController.shouldWorkAborted();
    else
        this.doWorkAborted();
}
ExerciseBroker.prototype.doHelpApplied = function()
{
    ;
    this.getMessage("helpApplied");
}
ExerciseBroker.prototype.addHelpAppliedHandle = function(action)
{
    this.registerAction("helpApplied", action);
}
ExerciseBroker.prototype.getHelpAppliedAction = function(action)
{
    return new ObjectMethodAction(this, "helpApplied");
}
ExerciseBroker.prototype.helpApplied = function()
{
    if (this.exerciseController)
        this.exerciseController.shouldHelpApplied();
    else
        this.doHelpApplied();
}
ExerciseBroker.prototype.doWorkStarted = function()
{
    ;
    this.getMessage("workStarted");
}
ExerciseBroker.prototype.addWorkStartedHandle = function(action)
{
    this.registerAction("workStarted", action);
}
ExerciseBroker.prototype.getWorkStartedAction = function(action)
{
    return new ObjectMethodAction(this, "workStarted");
}
ExerciseBroker.prototype.workStarted = function()
{
    if (this.exerciseController)
        this.exerciseController.shouldWorkStarted();
    else
        this.doWorkStarted();
}
ExerciseBroker.prototype.doSolved = function(para1, para2)
{
    ;
    var paramArray = [para1, para2];
    ;
    this.getMessage("solved", paramArray);
}
ExerciseBroker.prototype.addSolvedHandle = function(action)
{
    this.registerAction("solved", action);
}
ExerciseBroker.prototype.getSolvedAction = function(action)
{
    return new ObjectMethodAction(this, "solved");
}
ExerciseBroker.prototype.solved = function(para1, para2)
{
    if (this.exerciseController)
        this.exerciseController.shouldSolved(para1, para2);
    else
        this.doSolved(para1, para2);
}
ExerciseBroker.prototype.doWorkItemSolved = function(para1, para2)
{
    ;
    var paramArray = [para1, para2];
    ;
    this.getMessage("workItemWorkItemSolved", paramArray);
}
ExerciseBroker.prototype.addWorkItemSolvedHandle = function(action)
{
    this.registerAction("workItemWorkItemSolved", action);
}
ExerciseBroker.prototype.getWorkItemSolvedAction = function(action)
{
    return new ObjectMethodAction(this, "workItemWorkItemSolved");
}
ExerciseBroker.prototype.workItemWorkItemSolved = function(para1, para2)
{
    if (this.exerciseController)
        this.exerciseController.shouldWorkItemSolved(para1, para2);
    else
        this.doWorkItemSolved(para1, para2);
}
ExerciseBroker.prototype.doWorkStopped = function()
{
    ;
    this.getMessage("workStopped");
}
ExerciseBroker.prototype.addWorkStoppedHandle = function(action)
{
    this.registerAction("workStopped", action);
}
ExerciseBroker.prototype.getWorkStoppedAction = function(action)
{
    return new ObjectMethodAction(this, "workStopped");
}
ExerciseBroker.prototype.workStopped = function()
{
    if (this.exerciseController)
        this.exerciseController.shouldWorkStopped();
    else
        this.doWorkStopped();
}
ExerciseBroker.prototype.doActivated = function()
{
    ;
    this.getMessage("activated");
}
ExerciseBroker.prototype.addActivatedHandle = function(action)
{
    this.registerAction("activated", action);
}
ExerciseBroker.prototype.getActivatedAction = function(action)
{
    return new ObjectMethodAction(this, "activated");
}
ExerciseBroker.prototype.activated = function()
{
    if (this.exerciseController)
        this.exerciseController.shouldActivated();
    else
        this.doActivated();
}
ExerciseBroker.prototype.doWorkItemStarted = function()
{
    ;
    this.getMessage("workItemStarted");
}
ExerciseBroker.prototype.addWorkItemStartedHandle = function(action)
{
    this.registerAction("workItemStarted", action);
}
ExerciseBroker.prototype.getWorkItemStartedAction = function(action)
{
    return new ObjectMethodAction(this, "workItemStarted");
}
ExerciseBroker.prototype.workItemStarted = function()
{
    if (this.exerciseController)
        this.exerciseController.shouldWorkItemStarted();
    else
        this.doWorkItemStarted();
}
ExerciseBroker.prototype.doWorkItemStopped = function()
{
    ;
    this.getMessage("workItemStopped");
}
ExerciseBroker.prototype.addWorkItemStoppedHandle = function(action)
{
    this.registerAction("workItemStopped", action);
}
ExerciseBroker.prototype.getWorkItemStoppedAction = function(action)
{
    return new ObjectMethodAction(this, "workItemStopped");
}
ExerciseBroker.prototype.workItemStopped = function()
{
    if (this.exerciseController)
        this.exerciseController.shouldWorkItemStopped();
    else
        this.doWorkItemStopped();
}
ExerciseBroker.prototype.doWorkItemAborted = function()
{
    ;
    this.getMessage("workItemAborted");
}
ExerciseBroker.prototype.addWorkItemAbortedHandle = function(action)
{
    this.registerAction("workItemAborted", action);
}
ExerciseBroker.prototype.getWorkItemAbortedAction = function(action)
{
    return new ObjectMethodAction(this, "workItemAborted");
}
ExerciseBroker.prototype.workItemAborted = function()
{
    if (this.exerciseController)
        this.exerciseController.shouldWorkItemAborted();
    else
        this.doWorkItemAborted();
}
ExerciseBroker.prototype.doWorkItemActivated = function()
{
    ;
    this.getMessage("workItemActivated");
}
ExerciseBroker.prototype.addWorkItemActivatedHandle = function(action)
{
    this.registerAction("workItemActivated", action);
}
ExerciseBroker.prototype.getWorkItemActivatedAction = function(action)
{
    return new ObjectMethodAction(this, "workItemActivated");
}
ExerciseBroker.prototype.workItemActivated = function()
{
    if (this.exerciseController)
        this.exerciseController.shouldWorkItemActivated();
    else
        this.doWorkItemActivated();
}
ExerciseBroker.prototype.doEvaluate = function()
{
  ;
  this.getMessage("evaluate");
}
ExerciseBroker.prototype.addEvaluateHandle = function(action)
{
  this.registerAction("evaluate", action);
}
ExerciseBroker.prototype.getEvaluateAction = function()
{
  return new ObjectMethodAction(this, "evaluate");
}
ExerciseBroker.prototype.evaluate = function()
{
  if (this.exerciseController)
  {
    this.exerciseController.shouldEvaluate();
  }
  else
  {
    this.doEvaluate();
  }
}
ExerciseBroker.prototype.doReset = function()
{
  ;
  this.getMessage("reset");
}
ExerciseBroker.prototype.addResetHandle = function(action)
{
  this.registerAction("reset", action);
}
ExerciseBroker.prototype.getResetAction = function()
{
  return new ObjectMethodAction(this, "reset");
}
ExerciseBroker.prototype.reset = function()
{
  if (this.exerciseController)
  {
    this.exerciseController.shouldReset();
  }
  else
  {
    this.doReset();
  }
}
ExerciseBroker.prototype.doBeginCorrection = function()
{
  ;
  this.getMessage("beginCorrection");
}
ExerciseBroker.prototype.addBeginCorrectionHandle = function(action)
{
  this.registerAction("beginCorrection", action);
}
ExerciseBroker.prototype.getBeginCorrectionAction = function()
{
  return new ObjectMethodAction(this, "beginCorrection");
}
ExerciseBroker.prototype.beginCorrection = function()
{
  if (this.exerciseController)
  {
    this.exerciseController.shouldBeginCorrection();
  }
  else
  {
    this.doBeginCorrection();
  }
}
ExerciseBroker.prototype.doEndCorrection = function()
{
  ;
  this.getMessage("endCorrection");
}
ExerciseBroker.prototype.addEndCorrectionHandle = function(action)
{
  this.registerAction("endCorrection", action);
}
ExerciseBroker.prototype.getEndCorrectionAction = function()
{
  return new ObjectMethodAction(this, "endCorrection");
}
ExerciseBroker.prototype.endCorrection = function()
{
  if (this.exerciseController)
  {
    this.exerciseController.shouldEndCorrection();
  }
  else
  {
    this.doEndCorrection();
  }
}
