/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Globals</DEPENDS>
</DEPENDENCIES>
*/
function WorkItem(sId) 
{
  if (sId) { this.init(sId); }
}
WorkItem.prototype.init = function(sId)
{
  ;
  this.sId = sId;
  this.aValues = new Array();
  this.nValues = 0; 
  this.aTipStrategies = new Array();
  this.nTipStrategies = 0;
  this.aTipStrategyIds = null;
  this.tipManager = null;
  this.excManager = null; 
  this.bActive = true; 
}
WorkItem.prototype.getId = function()
{
  return this.sId;
}
WorkItem.prototype.onRegisterValueItem = function(valueItem)
{
  ;
}
WorkItem.prototype.registerValueItem = function(valueItem)
{
  ;
  if (this.aValues[valueItem.getId()] != null) 
  {
    ;
  }  
  else
  {
    ;
    this.aValues[valueItem.getId()] = valueItem;
    this.nValues++;
    valueItem.setWorkItem(this);
    this.onRegisterValueItem(valueItem);
  }
}
WorkItem.prototype.registerTipStrategy = function(tipStrategy)
{
  ;
  if (this.aTipStrategies[tipStrategy.getId()] != null) 
  {
    ;
  }  
  else
  {
    this.aTipStrategies[tipStrategy.getId()] = tipStrategy;
    this.nTipStrategies++;
    ;
    tipStrategy.setWorkItem(this);
  }
}
WorkItem.prototype.setTipManager = function(tipManager)
{
  ;
  this.tipManager = tipManager;
}
WorkItem.prototype.setExerciseManager = function(excManager)
{
  ;
  this.excManager = excManager;
}
WorkItem.prototype.start = function()
{
  ;
}
WorkItem.prototype.setActive = function(bActive)
{
  ;
  this.bActive = bActive;
}
WorkItem.prototype.createStrategyItemIdEnumeration= function()
{
  ;
  if (this.aTipStrategyIds == null) 
  {
    this.aTipStrategyIds = new Array();
    var nIndex = 0;
    for (var id in this.aTipStrategies)
    {
      this.aTipStrategyIds[nIndex++] = id;
    }
  }
}
WorkItem.prototype.showTip = function(bStepByStep, bSolutable)
{
  ;
  this.createStrategyItemIdEnumeration() 
  var bHasTip = false;
  var nCnt = 0;
  do 
  {
    bHasTip = false;
    for (var i = 0; i < this.aTipStrategyIds.length; i++) 
    {
      var tipStrategy = this.aTipStrategies[ this.aTipStrategyIds[i] ];
      if (tipStrategy != null) 
      {
        ;
        if (tipStrategy.hasTip(bStepByStep, bSolutable))
        {
          ;
          bHasTip = true;
          nCnt++;
          tipStrategy.showTip(bStepByStep, bSolutable);
          break;
        }
      }
    }
    //  ;
  }
  while (!bStepByStep && bHasTip);
  if (nCnt == 0) {
    ;
  }
}
WorkItem.prototype.changed = function(valueItem)
{
  ;
  for (var id in this.aValues)
  {
    ;
  }
  var excStatus = this.getExerciseStatus();
  ;
  this.excManager.solved(this, excStatus);
  this.tipManager.changed(this);
}
