/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
    <DEPENDS>Broker</DEPENDS>
</DEPENDENCIES>
*/
VisibilityBroker.prototype             = new Broker();
VisibilityBroker.prototype.constructor = VisibilityBroker;
VisibilityBroker.superclass            = Broker.prototype;
function VisibilityBroker(sId)
{
  if (sId) { this.init(sId); }
}
VisibilityBroker.prototype.init = function(sId)
{
  ;
  this.sId = sId;
  this.visibilityController = null;
  VisibilityBroker.superclass.init.call(this, sId);
}
VisibilityBroker.prototype.setPagingController = function(visibilityController)
{
  this.visibilityController = visibilityController;
}
VisibilityBroker.prototype.doActivity = function()
{
  this.getMessage('activity');
}
VisibilityBroker.prototype.addActivityHandle = function(action)
{
  this.registerAction('activity', action);
}
VisibilityBroker.prototype.getActivityAction = function(action)
{
  return new ObjectMethodAction(this, 'activity');
}
VisibilityBroker.prototype.activity = function()
{
  ;
  if (this.visibilityController)
    this.visibilityController.shouldActivity();
  else
    this.doActivity();
}
VisibilityBroker.prototype.doShow = function()
{
  this.getMessage('show');
}
VisibilityBroker.prototype.addShowHandle = function(action)
{
  this.registerAction('show', action);
}
VisibilityBroker.prototype.getShowAction = function(action)
{
  return new ObjectMethodAction(this, 'show');
}
VisibilityBroker.prototype.show = function()
{
  ;
  if (this.visibilityController)
    this.visibilityController.shouldShow();
  else
    this.doShow();
}
VisibilityBroker.prototype.doHide = function()
{
  this.getMessage('hide');
}
VisibilityBroker.prototype.addHideHandle = function(action)
{
  this.registerAction('hide', action);
}
VisibilityBroker.prototype.getHideAction = function(action)
{
  return new ObjectMethodAction(this, 'hide');
}
VisibilityBroker.prototype.hide = function()
{
  ;
  if (this.visibilityController)
    this.visibilityController.shouldHide();
  else
    this.doHide();
}
VisibilityBroker.prototype.doEvaluatesWrong = function()
{
  this.getMessage('evaluatesWrong');
}
VisibilityBroker.prototype.addEvaluatesWrongHandle = function(action)
{
  this.registerAction('evaluatesWrong', action);
}
VisibilityBroker.prototype.getEvaluatesWrongAction = function(action)
{
  return new ObjectMethodAction(this, 'evaluatesWrong');
}
VisibilityBroker.prototype.evaluatesWrong = function()
{
  ;
  if (this.visibilityController)
    this.visibilityController.shouldEvaluatesWrong();
  else
    this.doEvaluatesWrong();
}
