/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Broker</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
</DEPENDENCIES>
*/
TextSelectionBroker.prototype = new Broker();
TextSelectionBroker.prototype.constructor = TextSelectionBroker;
TextSelectionBroker.superclass = Broker.prototype;
function TextSelectionBroker(sId)
{
	if (sId)
	{
		this.init(sId);
	}
}
TextSelectionBroker.prototype.init = function(sId)
{
	TextSelectionBroker.superclass.init.call(this, "TextSelectionBroker");
	this.sId = sId;
}
TextSelectionBroker.prototype.getId = function()
{
	return this.sId;
}
TextSelectionBroker.prototype.setManager = function(manager)
{
	this.manager = manager;
}
TextSelectionBroker.prototype.doValueChanged = function(date)
{
	var params = new Array();
	params.push(date);
	this.getMessage("changed", params);
}
TextSelectionBroker.prototype.getChangeValueAction = function()
{
	return new ObjectMethodAction(this, "changeValue");
}
TextSelectionBroker.prototype.addValueChangedHandle = function(action)
{
	this.registerAction("changed", action);
}
TextSelectionBroker.prototype.addChangeValueHandle = function(action)
{
	this.registerAction("change", action);
}
TextSelectionBroker.prototype.changeValue = function(date)
{
	var params = new Array();
	params.push(date);
	this.getMessage("change", params);
}
