/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
    <DEPENDS>Broker</DEPENDS>
</DEPENDENCIES>
*/
ValidationBroker.prototype             = new Broker();
ValidationBroker.prototype.constructor = ValidationBroker;
ValidationBroker.superclass            = Broker.prototype;
function ValidationBroker()
{
    ;
    this.validationController = null;
     ValidationBroker.superclass.init.call(this, "ValidationBroker");
}
ValidationBroker.prototype.setValidationController = function(validationController)
{
    this.validationController = validationController;
}
ValidationBroker.prototype.doValidationRequested = function()
{
    this.getMessage("validationRequested");
}
ValidationBroker.prototype.addValidationRequestedHandle = function(action)
{
    this.registerAction("validationRequested", action);
}
ValidationBroker.prototype.getValidationRequestedAction = function(action)
{
    return new ObjectMethodAction(this, "validationRequested");
}
ValidationBroker.prototype.validationRequested = function()
{
    if (this.validationController)
        this.validationController.shouldValidationRequested();
    else
        this.doValidationRequested();
}
ValidationBroker.prototype.doDisableValidation = function()
{
    this.getMessage("disableValidation");
}
ValidationBroker.prototype.addDisableValidationHandle = function(action)
{
    this.registerAction("disableValidation", action);
}
ValidationBroker.prototype.getDisableValidationAction = function(action)
{
    return new ObjectMethodAction(this, "disableValidation");
}
ValidationBroker.prototype.disableValidation = function()
{
    if (this.validationController)
        this.validationController.shouldDisableValidation();
    else
        this.doDisableValidation();
}
ValidationBroker.prototype.doEnableValidation = function()
{
    this.getMessage("enableValidation");
}
ValidationBroker.prototype.addEnableValidationHandle = function(action)
{
    this.registerAction("enableValidation", action);
}
ValidationBroker.prototype.getEnableValidationAction = function(action)
{
    return new ObjectMethodAction(this, "enableValidation");
}
ValidationBroker.prototype.enableValidation = function()
{
    if (this.validationController)
        this.validationController.enableValidation();
    else
        this.doEnableValidation();
}
